html,
body {
    height: 100%;
}

#bookreadviewport {
    border: 1px solid #cdcdcd;
    min-height: 400px;
    height: 100%;
    /*height: 700px;*/
    background-color: #dedede;
    margin: 0 1px 0 1px;
    text-align: center;
    position: relative;
    z-index: 20; 
    overflow-y: scroll;
    overflow-x: auto;
}

#glasslayer {
    position: absolute;
    z-index: 10;
    background-image: url('../img/reader/null.gif');
    width: 100%;
    height: 100%;
    top: 0; left: 0;
}

.glasslayer2 {
    position: absolute;
    z-index: 10;
    background-image: url('../img/reader/null.gif');
    width: 100%;
    height: 100%;
    top: 0; left: 0;
}

.txtlayer {
    position: absolute;
    z-index: 15;
    width: 100%;
    height: 100%;
    top: 0; left: 0;
    background: none;
    overflow: hidden;
    text-align: left;
    padding: 0;
    font-size: 15px;
}

.txtlayer.active {
    background-color: white;
    padding: 30px;
}

.txtlayer > span {
}

.bookreadcont {
    margin: 20px auto;
    display: block;
    text-align: center;
    position: relative;
    padding-top: 0;
    padding-bottom: 0;
    z-index: 5;
    width: 700px;
    /* height: 1050px; */
    /* outline: 1px solid silver; */
    border: 1px solid silver;
}

.subcont {
    border: none;
    display: block;
    text-align: center;
    position: relative;
    padding-top: 0;
    padding-bottom: 0;
    overflow: hidden;
}


img.bookreadimgs {
    display: block;
    margin: 0;
    padding: 0;
}

img.bookreadwait {
    display: block;
    position: relative;
    margin: 0 auto;
    padding: 0;
}

.bookmark-sticker {
/*
    background-color: #fcefa1;
    border: 1px dotted #555555;
*/
    position: absolute;
    top: 30px;
    right: -200px;
    width: 180px;
    height: 120px;
}

.bookmark-sticker .bookmark-header {
    display: block;
}

/*
.bookmark-sticker .close {
    float: right;
    margin: 5px;
}
*/

.bookmark-sticker .bookmark-content .close {
    position: absolute;
    top: 3px;
    left: 1px;
}

/*
.bookmark-sticker .bookmark-content input[type=text], .bookmark-sticker .bookmark-content textarea {
    background-color: #fcefa1;
    border: none;
    width: 180px;
    padding: 35px 5px 5px 5px;
    min-width: 180px;
    min-height: 100px;
}
*/

/*
.bookmark-sticker .close {
    color: #000000;
    float: right;
    font-size: 20px;
    font-weight: bold;
    line-height: 20px;
    margin: 5px 10px 0 0;
    text-decoration: none;
    text-shadow: 0 1px 0 #fff;
}
*/


.bookmark-sticker .bookmark-content input[type=text], .bookmark-sticker .bookmark-content textarea.notes
{
    background-color: #fcefa1;
    width: 180px;
    padding: 35px 5px 5px 5px;
    min-width: 180px;
    height: 120px;
    min-height: 100px;

    background-image: -webkit-linear-gradient(left, #fcefa1 10px, transparent 10px), -webkit-linear-gradient(right, #fcefa1 10px, transparent 10px), -webkit-linear-gradient(#fcefa1 30px, #ccc 30px, #ccc 31px, #fcefa1 31px);
    background-image: -moz-linear-gradient(left, #fcefa1 10px, transparent 10px), -moz-linear-gradient(right, #fcefa1 10px, transparent 10px), -moz-linear-gradient(#fcefa1 30px, #ccc 30px, #ccc 31px, #fcefa1 31px);
    background-image: -ms-linear-gradient(left, #fcefa1 10px, transparent 10px), -ms-linear-gradient(right, #fcefa1 10px, transparent 10px), -ms-linear-gradient(#fcefa1 30px, #ccc 30px, #ccc 31px, #fcefa1 31px);
    background-image: -o-linear-gradient(left, #fcefa1 10px, transparent 10px), -o-linear-gradient(right, #fcefa1 10px, transparent 10px), -o-linear-gradient(#fcefa1 30px, #ccc 30px, #ccc 31px, #fcefa1 31px);
    background-image: linear-gradient(left, #fcefa1 10px, transparent 10px), linear-gradient(right, #fcefa1 10px, transparent 10px), linear-gradient(#fcefa1 30px, #ccc 30px, #ccc 31px, #fcefa1 31px);
    background-size: 100% 100%, 100% 100%, 100% 31px;
    border: 1px solid #ccc;
    /*border-radius: 8px;*/
    box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
    line-height: 31px;
    font-family: Arial, Helvetica, Sans-serif;
    color: #555555;
}
.bookmark-sticker .bookmark-content input[type=text], .bookmark-sticker .bookmark-content textarea.notes:focus
{
    outline: none;
}


.deny-access-page {
    background-color: white;
    text-align: center;
    vertical-align: middle;
    font-size: 22px;
    position: relative;
    padding-top: 0;
    padding-bottom: 0;
}

.deny-access-page > div {
    margin-top: 100px;
    margin-left: 20px;
    margin-right: 20px;
}

.txtlayer pre, .txtlayer > div.not-formatted {
    display: block;
    padding: 0;
    margin: 0 15px;
    font-size: 15px;
    line-height: 20px;
    color: #333;
    word-break: break-all;
    word-wrap: break-word;
    background-color: white;
    border: none;
    border-radius: 0;
    font-family: Menlo, Monaco, Consolas, "Courier New", monospace;
}